#!/bin/bash

# ./test-stream.sh foo.mkv rtmp://tv.lumbung.space:1935/live/<key>

ffmpeg \
  -re \
  -i "$1" \
  -c:v libx264 \
  -preset veryfast \
  -b:v 3000k \
  -maxrate 3000k \
  -bufsize 6000k \
  -pix_fmt yuv420p \
  -g 50 \
  -c:a aac \
  -b:a 160k \
  -ac 2 \
  -ar 44100 \
  -f flv "$2"
